Bug 253677 - mdadm does not find raid at boot-time
mdadm does not find raid at boot-time
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
7
i386 Linux
low Severity low
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-21 02:52 EDT by Tobias Bradtke
Modified: 2008-06-16 22:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:12:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tobias Bradtke 2007-08-21 02:52:28 EDT
Description of problem:

mdadm does not find raid at boot-time.

I created a raid-5-array with anaconda, added later other devices and all worked
fine. 


Version-Release number of selected component:

# mdadm --version
mdadm - v2.6.2 - 21st May 2007

  
Actual results:

After a reboot mdadm gives an error:

> Red Hat nash 6.0.9 starting
> insmod: error inserting '/lib/raid456.ko': -1 File exists
> mdadm: no devices found for /dev/md1
>    Reading all physical volumes. This may take a while...
>    No volume groups found
>    Volume group "vg_raid" not found
> Unable to access resume device (/dev/vg_raid/lv_fedora_root)
> ...


Expected results:

No Problem.


Additional info:

Booting form the rescue-disc works without any problem, the raid is accessible.


Workaround:

The solution to this is to remove the kernel and re-install.
I found it here:
http://www.redhat.com/archives/ataraid-list/2007-July/msg00025.html
Comment 1 Doug Ledford 2007-08-24 12:13:39 EDT
Removing and reinstalling the kernel isn't the real fix.  It's just that
removing and reinstalling the kernel forces a rebuild of the initrd, and it's
the rebuilding of the initrd that solves the problem.  My guess is that during
installation a broken initrd image is built, probably due to package ordering or
something like that.  I'm reassigning this to the anaconda component.
Comment 2 Bug Zapper 2008-05-14 10:03:54 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2008-06-16 22:12:23 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.